Package com.independentsoft.office.word

# Class DrawingObject

java.lang.Object
com.independentsoft.office.word.DrawingObject

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class DrawingObject extends Object implements IRunContent
The Class DrawingObject.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawingObject()`
  Instantiates a new drawing object.
  `DrawingObject​(Anchor anchor)`
  Instantiates a new drawing object.
  `DrawingObject​(Inline inline)`
  Instantiates a new drawing object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DrawingObject`
  `clone()`
  `Anchor`
  `getAnchor()`
  Gets the anchor.
  `List<IContentElement>`
  `getContentElements()`
  `Inline`
  `getInline()`
  Gets the inline.
  `void`
  `setAnchor​(Anchor anchor)`
  Sets the anchor.
  `void`
  `setInline​(Inline inline)`
  Sets the inline.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DrawingObject

    public DrawingObject()
    Instantiates a new drawing object.

  - ### DrawingObject

    public DrawingObject​(Anchor anchor)
    Instantiates a new drawing object.
    Parameters:
      `anchor` - the anchor

  - ### DrawingObject

    public DrawingObject​(Inline inline)
    Instantiates a new drawing object.
    Parameters:
      `inline` - the inline

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public DrawingObject clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAnchor

    public Anchor getAnchor()
    Gets the anchor.
    Returns:
      the anchor

  - ### setAnchor

    public void setAnchor​(Anchor anchor)
    Sets the anchor.
    Parameters:
      `anchor` - the new anchor

  - ### getInline

    public Inline getInline()
    Gets the inline.
    Returns:
      the inline

  - ### setInline

    public void setInline​(Inline inline)
    Sets the inline.
    Parameters:
      `inline` - the new inline